part of 'viewed_products_cubit.dart';

@immutable
abstract class ViewedProductsState {}

class ViewedProductsInitial extends ViewedProductsState {}
class ViewedProductLoading extends ViewedProductsState {
  @override
  String toString() {
    // TODO: implement toString
    return 'ViewedProductLoading{}';
  }
}
class ViewedProductFailure extends ViewedProductsState {
  final String error;

  ViewedProductFailure(this.error);

  @override
  String toString() => 'ViewedProductFailure { error: $error }';
}